Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Alvaro Ramirez <[email-masked]>
Date: Thu, 13 Feb 2025 08:05:06 +0000

Po Lu <[email-masked]> writes:

> It also requires compiler extensions (lambdas) only implemented 
> by
> Clang.

Seems like NS_IMPL_COCOA would also help here as it would imply 
lambda availability. Having said that, this is just syntactic 
sugar and not required for achieving the same result. I'm happy to 
remove lambda usage from the patch if needed.